%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global srcname zabbix-api

Name:       python-zabbix-api
Version:    1.0
Release:    1%{?dist}
Summary:    This is an implementation of the Zabbix API in Python

Group:      Development/Libraries
License:    LGPLv2+
URL:        https://github.com/gnetsman/zabbix_api
Source0:    https://pypi.python.org/packages/source/z/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3

%description
This is an implementation of the Zabbix API in Python.

%if 0%{?with_python3}
%package -n python3-zabbix-api
Summary:    This is an implementation of the Zabbix API in Python
Group:      Development/Libraries

%description -n python3-zabbix-api
This is an implementation of the Zabbix API in Python.
%endif # with_python3


%prep
%setup -q -n %{srcname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3

%install
rm -rf %{buildroot}

# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc PKG-INFO
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-zabbix-api
%doc PKG-INFO
%{python3_sitelib}/*
%endif # with_python3

%changelog
* Fri Dec 05 2014 Adam Miller <maxamillion@fedoraproject.org> - 1.0-1
- First package for Fedora
